import { Component, Event, h, Prop } from '@stencil/core';
import { formCommunication } from "../../utils/mock";
import { StorageAbdullakhBot } from "../../utils/utils";
export class CntFlexyViewAbdullakhBotFormCommunication1_0_0 {
    componentWillLoad() {
        StorageAbdullakhBot.prefix = this.pathToAssets;
    }
    render() {
        return (h("cnt-flexy-view-abdullakh-bot-form-communication", { payload: formCommunication }));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-form-communication-1_0_0"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form-communication-1_0_0.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form-communication-1_0_0.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 FormCommunication"
            },
            "attribute": "payload",
            "reflect": false
        },
        "pathToAssets": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "path-to-assets",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "closeForm",
            "name": "closeForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0417\u0430\u043A\u0440\u044B\u0442\u0438\u0435 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
