import { Component, Event, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotHeader {
    render() {
        return (h("header", null,
            h("div", { class: "container mt-2" },
                h("div", { class: "header_menu" },
                    h("div", { class: "HeaderStart wow animate__animated animate__backInDown" },
                        h("cnt-flexy-view-abdullakh-bot-header-start", { logo: this.categories.logoUrl })),
                    h("div", { class: "HeaderCenter animate__animated animate__backInDown" },
                        h("nav", { class: "my_navbar" },
                            h(ItemLink, { arr: this.categories.menu }),
                            h("div", { class: "d-block d-md-none" },
                                h("cnt-flexy-view-abdullakh-bot-header-end", { phoneNumber: this.categories.phoneNumber })))),
                    h("div", { class: "HeaderEnd d-md-block d-none animate__animated animate__backInDown" },
                        h("cnt-flexy-view-abdullakh-bot-header-end", { phoneNumber: this.categories.phoneNumber }))))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-header"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-header.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-header.css"]
    }; }
    static get properties() { return {
        "categories": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "CntFlexyViewCategoryForOwnerItemInterface",
                "resolved": "CntFlexyViewCategoryForOwnerItemInterface",
                "references": {
                    "CntFlexyViewCategoryForOwnerItemInterface": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u043E\u043C \u043C\u0435\u043D\u044E \u0438 string \u0434\u043B\u044F \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u043E\u0432 header-start header-end"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 header"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню
 */
const ItemLink = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-header-center", { arr: item }));
    });
};
