import { Component, h, Prop, Event } from '@stencil/core';
import { StorageAbdullakhBot } from "../../../../../utils/utils";
export class CntFlexyViewAbdullakhBotPerformanceAndBenefits {
    render() {
        return (h("section", { class: "h-100" },
            h("div", { class: "PerformanceandBenefitsbckgrnd", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.payload.PerformanceandBenefitsbckgrnd + ")" } }),
            h(PerformanceInformation, { arr: this.payload.PerformanceInformation }),
            h(BenefitsBots, { arr: this.payload.BenefitsBots })));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-performance-and-benefits"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-performance-and-benefits.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-performance-and-benefits.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u0430\u043C\u0438 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u043E\u0432 PerformanceInformation, BenefitsBots"
            },
            "attribute": "payload",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnPerformanceAndBenefits",
            "name": "clickOnPerformanceAndBenefits",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 PerformanceAndBenefits"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043E\u0442\u043A\u0440\u044B\u0442\u0438\u0435 \u0444\u043E\u0440\u043C\u044B \u0441\u0432\u044F\u0437\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов компонента PerformanceInformation
 */
const PerformanceInformation = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-performance-information", { PerformanceInformation: item }));
    });
};
/*
* компонентная функция для вывода элементов компонента BenefitsBots
 */
const BenefitsBots = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-benefits-bots", { BenefitsBots: item }));
    });
};
