import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../../../../../../../../../../utils/utils";
export class CntFlexyViewAbdullakhBotBenefitsBotsBlock {
    render() {
        return (h("div", { class: "BenefitsBotsBlockPosition wow animate__animated animate__backInUp " },
            h("div", { class: "BenefitsBotsBlock" },
                h("div", { class: "BenefitsBotsBlock_imgBlock" },
                    h("div", { class: "BenefitsBotsBlock_outer_img", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.arr.outerImg + ")" }, onClick: () => this.clickOnBenefitsBots.emit(this.arr.outerImg) },
                        h("div", { class: "BenefitsBotsBlock_inner_img", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.arr.innerImg + ")" }, onClick: () => this.clickOnBenefitsBots.emit(this.arr.innerImg) }))),
                h("div", { class: "BenefitsBotsBlock_content" },
                    h("div", { class: "BenefitsBotsBlock_content_title", onClick: () => this.clickOnBenefitsBots.emit(this.arr.title) }, this.arr.title),
                    h("div", { class: "BenefitsBotsBlock_content_text", onClick: () => this.clickOnBenefitsBots.emit(this.arr.text) }, this.arr.text)))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-benefits-bots-block"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-benefits-bots-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-benefits-bots-block.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043F\u0435\u0440\u0435\u0434\u0430\u043D\u043D\u044B\u0435 \u043C\u0435\u0442\u043E\u0434\u043E\u043C map \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0443 BenefitsBotsBlock"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnBenefitsBots",
            "name": "clickOnBenefitsBots",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 BenefitsBots"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
