import { Component, Event, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotPerformanceInformationList {
    render() {
        return (h("div", null,
            h(List, { arr: this.PerformanceInformation, onClick: () => this.clickOnPerformanceInformation.emit(this.PerformanceInformation) }),
            h("div", { class: "PerformanceInformationContentEndText", onClick: () => this.clickOnPerformanceInformation.emit(this.PerformanceInformation.ContentRightEndText) }, this.endText)));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-performance-information-list"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-performance-information-list.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-performance-information-list.css"]
    }; }
    static get properties() { return {
        "PerformanceInformation": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u043E\u043C \u0438 \u0434\u0430\u043D\u043D\u044B\u043C\u0438 PerformanceInformationList"
            },
            "attribute": "performance-information",
            "reflect": false
        },
        "endText": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u043E\u043C \u0438 \u0434\u0430\u043D\u043D\u044B\u043C\u0438 PerformanceInformationList"
            },
            "attribute": "end-text",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnPerformanceInformation",
            "name": "clickOnPerformanceInformation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 PerformanceInformation \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 PerformanceInformationList"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов list в компоненте PerformanceInformationList
 */
const List = (props) => {
    return props.arr.map((item) => {
        return (h("span", null,
            item.text,
            h("br", null)));
    });
};
