import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../utils/utils";
export class CntFlexyViewAbdullakhBotTariffs1_0_0 {
    componentWillLoad() {
        StorageAbdullakhBot.prefix = this.pathToAssets;
    }
    render() {
        return (h("cnt-flexy-view-abdullakh-bot-tariffs", { payload: this.payload, onClickOnTariffs: (event) => this.clickOnTariffs(event) }));
    }
    /**
     * клик по элементам компонента Tariffs
     */
    clickOnTariffs({ detail }) {
        return console.log("Tariffs:", detail);
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-tariffs-1_0_0"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-tariffs-1_0_0.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-tariffs-1_0_0.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Tariffs"
            },
            "attribute": "payload",
            "reflect": false
        },
        "pathToAssets": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "path-to-assets",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
