import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../../../../utils/utils";
export class CntFlexyViewAbdullakhBotTariffs {
    render() {
        return (h("section", { class: "Tariffs_section" },
            h("div", { class: "dinamicImg", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.payload.dinamicImg + ")" }, onClick: () => this.clickOnTariffs.emit(this.payload.dinamicImg) }),
            h("span", { class: "dollar", onClick: () => this.clickOnTariffs.emit(this.payload.dinamicText) }, this.payload.dinamicText),
            h("div", { class: "container" },
                h("div", { class: "Tariffs_title", onClick: () => this.clickOnTariffs.emit(this.payload.title) }, this.payload.title),
                h("div", { class: "Tariffs_info_blocks_bckgrnd", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.payload.bckgrndImg + ")" }, onClick: () => this.clickOnTariffs.emit(this.payload.bckgrndImg) },
                    h("div", { class: "Tariffs_info_blocks" },
                        h(TariffsInfoBlocks, { arr: this.payload.infoBlock }))))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-tariffs"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-tariffs.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-tariffs.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Tariffs"
            },
            "attribute": "payload",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnTariffs",
            "name": "clickOnTariffs",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Tariffs"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const TariffsInfoBlocks = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-tariffs-info-blocks", { arr: item }));
    });
};
