import { Component, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../utils/utils";
export class CntFlexyViewAbdullakhBotHeader1_0_0 {
    componentWillLoad() {
        StorageAbdullakhBot.prefix = this.pathToAssets;
    }
    render() {
        return (h("cnt-flexy-view-abdullakh-bot-header", { categories: this.categories, onClickOnHeader: (event) => this.clickOnHeader(event) }));
    }
    /**
     * клик по элементам компонента header
     */
    clickOnHeader({ detail }) {
        return console.log("clickOnHeader:", detail);
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-header-1_0_0"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-header-1_0_0.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-header-1_0_0.css"]
    }; }
    static get properties() { return {
        "categories": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u043E\u043C \u043C\u0435\u043D\u044E \u0438 string \u0434\u043B\u044F \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u043E\u0432 header-start header-end"
            },
            "attribute": "categories",
            "reflect": false
        },
        "pathToAssets": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "path-to-assets",
            "reflect": false
        }
    }; }
}
