import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../utils/utils";
export class CntFlexyViewAbdullakhBotPerformanceAndBenefits1_0_0 {
    componentWillLoad() {
        StorageAbdullakhBot.prefix = this.pathToAssets;
    }
    render() {
        return (h("cnt-flexy-view-abdullakh-bot-performance-and-benefits", { payload: this.payload, onClickOnPerformanceAndBenefits: (event) => this.clickOnPerformanceAndBenefits(event) }));
    }
    /**
     * клик по элементам компонента PerformanceAndBenefits
     */
    clickOnPerformanceAndBenefits({ detail }) {
        return console.log("PerformanceInformation:", detail);
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-performance-and-benefits-1_0_0"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-performance-and-benefits-1_0_0.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-performance-and-benefits-1_0_0.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u0430\u043C\u0438 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u043E\u0432 PerformanceInformation, BenefitsBots"
            },
            "attribute": "payload",
            "reflect": false
        },
        "pathToAssets": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "path-to-assets",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043E\u0442\u043A\u0440\u044B\u0442\u0438\u0435 \u0444\u043E\u0440\u043C\u044B \u0441\u0432\u044F\u0437\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
