import { Component, Event, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotBenefitsBots {
    render() {
        return (h("section", { class: "BenefitsBots", id: "benefitsBots" },
            h("div", { class: "container" },
                h("div", { class: "BenefitsBotsTitleBlock wow animate__animated animate__backInUp" },
                    h("div", { class: "BenefitsBotsTitle", onClick: () => this.clickOnBenefitsBots.emit(this.BenefitsBots.title) }, this.BenefitsBots.title)),
                h("div", { class: "row" },
                    h(BotsInfoBlocks, { arr: this.BenefitsBots.infoBlock })))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-benefits-bots"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-benefits-bots.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-benefits-bots.css"]
    }; }
    static get properties() { return {
        "BenefitsBots": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhBenefitsBots",
                "resolved": "SSAbdullakhBenefitsBots",
                "references": {
                    "SSAbdullakhBenefitsBots": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u043C\u0430\u0441\u0441\u0438\u0432\u043E\u043C \u0438 \u0434\u0430\u043D\u043D\u044B\u043C\u0438 BenefitsBots"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnBenefitsBots",
            "name": "clickOnBenefitsBots",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 BenefitsBots"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода блоков подкомпонента BenefitsBots компонента BenefitsBots
 */
const BotsInfoBlocks = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "col-lg-4 col-12" },
            h("cnt-flexy-view-abdullakh-bot-benefits-bots-block", { arr: item })));
    });
};
