import { Component, Event, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotProductInformation {
    render() {
        return (h("div", { class: "container ProductInformation", id: "productInformation" },
            h("div", { class: "ProductInfoTitle wow animate__animated animate__fadeInRightBig", onClick: () => this.clickOnProductInformation.emit(this.ProductInformation.title) }, this.ProductInformation.title),
            h("div", { class: "row justify-content-center" },
                h(ProductInfoBlock, { arr: this.ProductInformation.infoBlock }))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-product-information"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-product-information.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-product-information.css"]
    }; }
    static get properties() { return {
        "ProductInformation": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhProductInformation",
                "resolved": "SSAbdullakhProductInformation",
                "references": {
                    "SSAbdullakhProductInformation": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u0438\u0437 \u043E\u0431\u044A\u0435\u043A\u0442\u0430 \u0434\u043B\u044F \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductInformation"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductInformation",
            "name": "clickOnProductInformation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductInformation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода блоков компонента product-information-blocks
 */
const ProductInfoBlock = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "col-lg-4 col-md-6 col-12 mb-5" },
            h("cnt-flexy-view-abdullakh-bot-product-information-blocks", { arr: item })));
    });
};
