import { Component, Event, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../../../../../../../utils/utils";
export class CntFlexyViewAbdullakhBotProductInformationBlocks {
    render() {
        return (h("div", { class: "ProductInfoBlock" },
            h("div", null,
                h("div", { class: "ProductInfoBlockOuterImgBlock wow animate__animated animate__fadeInUpBig" },
                    h("div", { class: "ProductInfoBlockOuterImg", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.arr.outerImg + ")" }, onClick: () => this.clickOnProductInformation.emit(this.arr.outerImg) },
                        h("div", { class: "ProductInfoBlockInnerImg", style: { backgroundImage: "url(" + StorageAbdullakhBot.prefix + this.arr.innerImg + ")" }, onClick: () => this.clickOnProductInformation.emit(this.arr.innerImg) }))),
                h("div", { class: "ProductInfoTextBlock wow animate__animated animate__fadeInUpBig", innerHTML: this.arr.text, onClick: () => this.clickOnProductInformation.emit(this.arr.text) }),
                h("div", { class: "ProductInfoBtnBlock wow animate__animated animate__fadeInUpBig" },
                    h("button", { class: "ProductInfoBtn", onClick: () => {
                            this.clickOnProductInformation.emit(this.arr.btnText);
                            this.openForm.emit();
                        } }, this.arr.btnText)))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-product-information-blocks"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-product-information-blocks.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-product-information-blocks.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u0434\u0430\u043D\u043D\u044B\u043C\u0438 \u0438 \u0434\u043B\u044F \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductInformationBlocks"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductInformation",
            "name": "clickOnProductInformation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductInformation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
