import { Component, Event, h, Prop } from '@stencil/core';
export class CntFlexyViewAbdullakhBotTransitionCreateBot {
    render() {
        return (h("section", { class: "transitionCreateBot" },
            h("div", { class: "container" },
                h("div", { class: "row" },
                    h("div", { class: "col-lg-6" },
                        h(CreateBotTitle, { arr: this.payload.title })),
                    h("div", { class: "col-lg-6" },
                        h(CreateBotFollow, { arr: this.payload.follow }))))));
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-transition-create-bot"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-transition-create-bot.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-transition-create-bot.css"]
    }; }
    static get properties() { return {
        "payload": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhTransitionCreateBot",
                "resolved": "SSAbdullakhTransitionCreateBot",
                "references": {
                    "SSAbdullakhTransitionCreateBot": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 TransitionCreateBot"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnTransitionCreateBot",
            "name": "clickOnTransitionCreateBot",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов transition-create-bot-title
 */
const CreateBotTitle = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-transition-create-bot-title", { arr: item }));
    });
};
/*
* компонентная функция для вывода элементов transition-create-bot-follow
 */
const CreateBotFollow = (props) => {
    return props.arr.map((item) => {
        return (h("cnt-flexy-view-abdullakh-bot-transition-create-bot-follow", { arr: item }));
    });
};
