export declare const formCommunication: {
    id: string;
    formInterviewText: {
        nameInterview: string;
        businessInterview: string;
        businessSelect: {
            id: number;
            select: string;
            selected: boolean;
        }[];
        websiteInterview: string;
        numberInterview: string;
        btnText: string;
        phonemask: {
            id: number;
            country: string;
            countryNumber: string;
            flag: string;
            flagPosition: string;
        }[];
    }[];
};
export declare const header: {
    id: string;
    logoUrl: string;
    phoneNumber: string;
    menu: {
        id: number;
        linkName: string;
        menuLine: string;
    }[];
};
export declare const ProductPresentation: {
    imgUrl: string;
    icon: {
        id: string;
        img: string;
    }[];
    title: {
        id: number;
        text: string;
        imgUrl: string;
        behindText: string;
        price: string;
        btnText: string;
    }[];
};
export declare const ProductInformation: {
    title: string;
    infoBlock: {
        id: number;
        outerImg: string;
        innerImg: string;
        text: string;
        btnText: string;
    }[];
};
export declare const TransitionCreateBot: {
    title: {
        id: number;
        imgUrl: string;
        title: string;
    }[];
    follow: {
        id: number;
        text: string;
        btnText: string;
    }[];
};
export declare const PerformanceAndBenefits: {
    PerformanceandBenefitsbckgrnd: string;
    PerformanceInformation: {
        imgUrl: string;
        title: string;
        ContentRightEndText: string;
        ContentLeftEndText: string;
        btnText: string;
        right: {
            id: number;
            text: string;
        }[];
        left: {
            id: number;
            text: string;
        }[];
    }[];
    BenefitsBots: {
        title: string;
        infoBlock: {
            id: number;
            outerImg: string;
            innerImg: string;
            title: string;
            text: string;
        }[];
    }[];
};
export declare const Consultation: {
    imgUrl: string;
    title: string;
    text: string;
    btnText: string;
};
export declare const Tariffs: {
    dinamicImg: string;
    dinamicText: string;
    title: string;
    bckgrndImg: string;
    infoBlock: {
        id: number;
        outerImg: string;
        innerImg: string;
        class: string;
        title: string;
        text: string;
        priceText: string;
        btnText: string;
    }[];
};
